Package pyplusplus :: Package decl_wrappers :: Module call_policies :: Class return_value_policy_t

# type return_value_policy_t

source code

       object --+
                |
    call_policy_t --+
                    |
    compound_policy_t --+
                        |
                       return_value_policy_t

implements code generation for boost::python::return_value_policy call policies

Instance Methods

__init__(self, result_converter_generator, base=None) | source code

is_predefined(self) Returns True if call policy is defined in Boost.Python library, False otherwise | source code

Inherited from `compound_policy_t`: `__str__` Inherited from `call_policy_t`: `create`, `create_template_arg`, `create_type`, `is_default`

Properties
| result_converter_generator
| header_file Return name of the header file to be included
Inherited from `compound_policy_t`: `base_policy`

Method Details

### __init__(self, result_converter_generator, base=None)
(Constructor)

source code

Overrides: call_policy_t.__init__

### is_predefined(self)

source code

Returns True if call policy is defined in Boost.Python library, False otherwise

Overrides: call_policy_t.is_predefined

Property Details

### result_converter_generator

Get Method:
  _get_result_converter_generator(self)
Set Method:
  _set_result_converter_generator(self, new_result_converter_generator)

### header_file

Return name of the header file to be included